package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build

Asked by Mike Byrns on 2010-09-21

how do i uninstall?

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic x86_64
Architecture: amd64
Date: Tue Sep 21 06:14:25 2010
DkmsStatus: fglrx, 8.723.1: added
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: Gigabyte Technology Co., Ltd. G33M-S2H
PackageVersion: 2:8.723.1-0ubuntu4
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=/dev/sdb1 loop=/hostname/disks/root.disk ro single
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
dmi.bios.date: 07/31/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4I
dmi.board.name: G33M-S2H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4I:bd07/31/2009:svnGigabyteTechnologyCo.,Ltd.:pnG33M-S2H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnG33M-S2H:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: G33M-S2H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-24-generic

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu fglrx-installer Edit question
Assignee:
No assignee Edit question
Last query:
2010-09-21
Last reply:
2010-09-28
Mike Byrns (baarod) said : #1
Mike Byrns (baarod) said : #2

I just installed Catalyst 10.9 and all is well...

rbellamy (rbellamy-pteradigm) said : #3

sudo ./ati-driver-installer-10-9-x86.x86_64.run --extract ati
cd ati
sudo vim common/lib/modules/fglrx/build_mod/kcl_ioctl.c
sudo ./ati-installer.sh 8.771 --listpkg
lsb_release -a
sudo ./ati-installer.sh 8.771 --buildpkg Ubuntu/lucid
cd ..
sudo dpkg -i fglrx_8.771-0ubuntu1_amd64.deb fglrx-dev_8.771-0ubuntu1_amd64.deb fglrx-amdcccle_8.771-0ubuntu1_amd64.deb fglrx-modaliases_8.771-0ubuntu1_amd64.deb
sudo aticonfig --initial
reboot

rbellamy (rbellamy-pteradigm) said : #4

I forgot to mention what to change in kcl_ioctl.c.
Line 196:
change "return compat_alloc_user_space(size);"
to "return arch_compat_alloc_user_space(size);"

Can you help with this problem?

Provide an answer of your own, or ask Mike Byrns for more information if necessary.

To post a message you must log in.